
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #643

audtool report wrong current-song (at least in not always the song currently playing)

May 12, 2016 22:58 - Tato Brutto

Status: Rejected Start date: May 12, 2016

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version:    

Description

Situation:

Create two playlist (Play1 and Play2) with some song in them (Song1, Song2, ..SongN).

Start playing Play1/Song1 and request audtool the current song with "audtool --current-song". Result ok.

Lets Play1/Song1 playing but select Play2 and ask again the current song. Result is wrong. It reports the currently SELECTED song

and not the one is playing.

Lets Play1/Song1 playing but select back Play1. Now audtool report again correctly.

I don't know...maybe is the help that is wrong and should say "currently selected song"...but then, which is the command to actually

have the playing song?

Thanks,

Frank

History

#1 - May 12, 2016 23:06 - Tato Brutto

This happens on:

$ uname -a

Linux lupux 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

with Audacious 3.4.3

#2 - May 13, 2016 02:49 - John Lindgren

- Status changed from New to Rejected

Always update to the current version, and check for duplicate reports before creating a new bug report.

Duplicate of #557.
